Name:          openvkl
Version:       2.0.1
Release:       1mamba
Summary:       Intel(R) Open Volume Kernel Library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/RenderKit/openvkl
Source:        https://github.com/RenderKit/openvkl.git/v%{version}/openvkl-%{version}.tar.bz2
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libembree-devel
BuildRequires: libgcc
BuildRequires: libglfw-devel
BuildRequires: libglvnd-devel
BuildRequires: librkcommon-devel
BuildRequires: libstdc++6-devel
BuildRequires: libtbb-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Intel(R) Open Volume Kernel Library.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/vklExamplesCPU
%{_bindir}/vklMinimal_*
%{_bindir}/vklTestsCPU
%{_bindir}/vklTutorialCPU
%{_bindir}/vklTutorialISPC

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libopenvkl.so.*
%{_libdir}/libopenvkl_module_cpu_device.so.*
%{_libdir}/libopenvkl_module_cpu_device_16.so.*
%{_libdir}/libopenvkl_module_cpu_device_4.so.*
%{_libdir}/libopenvkl_module_cpu_device_8.so.*
%doc LICENSE.txt

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/openvkl
%{_includedir}/openvkl/*
%{_libdir}/libopenvkl.so
%{_libdir}/libopenvkl_module_cpu_device.so
%{_libdir}/libopenvkl_module_cpu_device_16.so
%{_libdir}/libopenvkl_module_cpu_device_4.so
%{_libdir}/libopenvkl_module_cpu_device_8.so
%dir %{_libdir}/cmake/openvkl-%{version}
%{_libdir}/cmake/openvkl-%{version}/*.cmake
%dir %{_docdir}/openvkl
%{_docdir}/openvkl/*
%doc README.md

%changelog
* Sat May 04 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.1-1mamba
- package created using the webbuild interface
